Debian Bug report logs - #151820
dhcp3-client: Does not send hostname to server by default

version graph

Package: isc-dhcp-client; Maintainer for isc-dhcp-client is Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>; Source for isc-dhcp-client is src:isc-dhcp.

Reported by: Daniel Jacobowitz <dan@debian.org>

Date: Wed, 3 Jul 2002 16:33:07 UTC

Severity: wishlist

Tags: d-i, patch

Merged with 246692, 403143, 509440, 522889, 561461

Found in version isc-dhcp/4.2.2.dfsg.1-5

Done: Michael Gilbert <mgilbert@debian.org>

Bug is archived. No further changes may be made.

Forwarded to dhcp-bugs@isc.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris), dhcp3@packages.qa.debian.org:
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
New Bug report received and forwarded. Copy sent to peloy@debian.org (Eloy A. Paris), dhcp3@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dhcp3-client: Does not send hostname to server by default
Date: Wed, 03 Jul 2002 12:29:01 -0400
Package: dhcp3-client
Version: 3.0+3.0.1rc9-2
Severity: normal

(This also applies to dhcp-client)

In order to get server-side dynamic DNS updates to work, you need to
add "send host-name "hostname";" to the configuration file for dhclient. 
Most other clients seem to default to sending the hostname (including pump
and the MS client).  There's also no documentation which mentions that this
might be necessary, as far as I could find - only comments about the
somewhat rarer case of client-side dynamic DNS.  And if it needs to go in
the configuration file that's one more thing to remember when the hostname
changes...


-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux branoic 2.4.19-pre10-ac2-branoic #3 Tue Jun 18 11:20:20 EDT 2002 i586
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages dhcp3-client depends on:
ii  debconf                   1.0.32         Debian configuration management sy
ii  debianutils               1.16           Miscellaneous utilities specific t
ii  dhcp3-common              3.0+3.0.1rc9-2 Common files used by all the dhcp3
ii  libc6                     2.2.5-6        GNU C Library: Shared libraries an




Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris), dhcp3@packages.qa.debian.org:
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris), dhcp3@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 151820@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Daniel Jacobowitz <dan@debian.org>, 151820@bugs.debian.org
Subject: Re: Bug#151820: dhcp3-client: Does not send hostname to server by default
Date: Wed, 3 Jul 2002 23:33:28 -0400
On Wed, Jul 03, 2002 at 12:29:01PM -0400, Daniel Jacobowitz wrote:

> (This also applies to dhcp-client)
> 
> In order to get server-side dynamic DNS updates to work, you need to
> add "send host-name "hostname";" to the configuration file for dhclient. 
> Most other clients seem to default to sending the hostname (including pump
> and the MS client).  There's also no documentation which mentions that this
> might be necessary, as far as I could find - only comments about the
> somewhat rarer case of client-side dynamic DNS.  And if it needs to go in
> the configuration file that's one more thing to remember when the hostname
> changes...

I have started using dynamic DNS a lot lately, and I have wondered about
this as well.  I noticed the same thing with pump and the MS Windows client,
and I agree about the badness of duplicating configuration information like
the hostname in the DHCP client config.

I just haven't gotten around to asking upstream about this.  Could it be
that sending this information by default breaks some DHCP servers?  I
haven't seen any problems, but I mostly use ISC's.

-- 
 - mdz



Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris), dhcp3@packages.qa.debian.org:
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Brian Ristuccia <brian@ristuccia.com>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris), dhcp3@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 151820@bugs.debian.org (full text, mbox):

From: Brian Ristuccia <brian@ristuccia.com>
To: 151820@bugs.debian.org, 131365@bugs.debian.org
Subject: an elegant solution
Date: Thu, 8 Aug 2002 16:34:35 -0400
If the send host-name construct in the conf file was modified to allow an
unquoted keyword such as default to mean the machine's current hostname, and
the line

send host-name default;

was added to the default config file, these two bugs could be closed. 

-- 
Brian Ristuccia
brian@ristuccia.com
bristucc@cs.uml.edu



Merged 151820 165086. Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #22 received at 151820-quiet@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: 165086-quiet@bugs.debian.org, 151820-quiet@bugs.debian.org
Subject: merge 165086 151820
Date: 07 Jun 2003 12:15:05 +0200
merge 165086 151820
thanks

#131365 reports the same problem with the dhcp-client package.

Please follow up at #151820.




Severity set to `wishlist'. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to peloy@debian.org (Eloy A. Paris):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Jacobowitz <dan@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 165086-close@bugs.debian.org (full text, mbox):

From: peloy@debian.org (Eloy A. Paris)
To: 165086-close@bugs.debian.org
Subject: Bug#165086: fixed in dhcp3 3.0+3.0.1rc13-1
Date: Tue, 24 Feb 2004 14:32:04 -0500
Source: dhcp3
Source-Version: 3.0+3.0.1rc13-1

We believe that the bug you reported is fixed in the latest version of
dhcp3, which is due to be installed in the Debian FTP archive:

dhcp3-client-udeb_3.0+3.0.1rc13-1_i386.udeb
  to pool/main/d/dhcp3/dhcp3-client-udeb_3.0+3.0.1rc13-1_i386.udeb
dhcp3-client_3.0+3.0.1rc13-1_i386.deb
  to pool/main/d/dhcp3/dhcp3-client_3.0+3.0.1rc13-1_i386.deb
dhcp3-common_3.0+3.0.1rc13-1_i386.deb
  to pool/main/d/dhcp3/dhcp3-common_3.0+3.0.1rc13-1_i386.deb
dhcp3-dev_3.0+3.0.1rc13-1_i386.deb
  to pool/main/d/dhcp3/dhcp3-dev_3.0+3.0.1rc13-1_i386.deb
dhcp3-relay_3.0+3.0.1rc13-1_i386.deb
  to pool/main/d/dhcp3/dhcp3-relay_3.0+3.0.1rc13-1_i386.deb
dhcp3-server_3.0+3.0.1rc13-1_i386.deb
  to pool/main/d/dhcp3/dhcp3-server_3.0+3.0.1rc13-1_i386.deb
dhcp3_3.0+3.0.1rc13-1.diff.gz
  to pool/main/d/dhcp3/dhcp3_3.0+3.0.1rc13-1.diff.gz
dhcp3_3.0+3.0.1rc13-1.dsc
  to pool/main/d/dhcp3/dhcp3_3.0+3.0.1rc13-1.dsc
dhcp3_3.0+3.0.1rc13.orig.tar.gz
  to pool/main/d/dhcp3/dhcp3_3.0+3.0.1rc13.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 165086@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eloy A. Paris <peloy@debian.org> (supplier of updated dhcp3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 24 Feb 2004 12:06:30 -0500
Source: dhcp3
Binary: dhcp3-client-udeb dhcp3-common dhcp3-relay dhcp3-dev dhcp3-client dhcp3-server
Architecture: source i386
Version: 3.0+3.0.1rc13-1
Distribution: unstable
Urgency: low
Maintainer: Eloy A. Paris <peloy@debian.org>
Changed-By: Eloy A. Paris <peloy@debian.org>
Description: 
 dhcp3-client - DHCP Client
 dhcp3-client-udeb - DHCP Client for debian-installer (udeb)
 dhcp3-common - Common files used by all the dhcp3* packages.
 dhcp3-dev  - API for accessing and modifying the DHCP server and client state
 dhcp3-relay - DHCP Relay
 dhcp3-server - DHCP server for automatic IP address assignment
Closes: 95262 110927 152287 165086 177846 201086 204329 208549 211261 217769 231577
Changes: 
 dhcp3 (3.0+3.0.1rc13-1) unstable; urgency=low
 .
   * Eloy Paris <peloy@debian.org>:
     - New upstream version. (closes: #231577)
       + Dropping dhcrelay.c.patch since a similar version is now
         included upstream. This patch was applied in 3.0+3.0.1rc11-3
         to prevent a DoS condition.
     - Have the dhcp3-server init script exit if dhcp3 is removed but not purged
       by testing for the existence of /usr/sbin/dhcpd3 (Closes: #201086)
     - Tighten versioned dependency on debianutils, since we need run-parts
      --list (Closes: #204329)
     - Added the "netbios-scope" option to the list of options the DHCP
       client requests from the server to play nicely with the samba
       package.
     - Prevent dh_md5sums from creating a md5sums file for dhcp3-client-udeb.
   * Matt Zimmerman <mdz@debian.org>:
     - Switch to using a Debian-specific dhclient-script, rather than
       patching upstream's "linux" one
     - More or less rewrite dhclient-script
       - Clean up accumulated shell nastiness
       - Improve readability
       - Be careful when handling resolv.conf, to avoid breaking it
         if something goes wrong (Closes: #211261)
       - New resolv.conf handling is also symlink-friendly (Closes: #177846)
       - Treat a hostname of "(none)" the same as a null hostname
         (Closes: #165086)
       - Still proceed with resolver configuration if nameservers are available
         but a domain name is not (Closes: #110927)
       - Use exit status 2, rather than 1, to indicate that binding failed,
         so that unrelated errors do not result in DHCPDECLINE (your ISP will
         thank you)
     - Don't let a failing dhcp3-server init script abort installation; it
       will usually be unconfigured on new installations (Closes: #217769)
     - Increase IP TTL for DHCP packets from 16 to 128 (Closes: #152287)
     - Apply patch from Christian Perrier <bubulle@debian.org> to switch to
       using po-debconf (Closes: #208549)
     - Have dhcpd chdir to / as a well-behaved daemon should
       (Closes: #95262)
Files: 
 e15b812b6ec743b0901043418ae6f029 729 net optional dhcp3_3.0+3.0.1rc13-1.dsc
 68624d95b91aefa72a000a29e5e82408 854832 net optional dhcp3_3.0+3.0.1rc13.orig.tar.gz
 1b4dbf3832bafc72fa4bb743dfb142d5 28882 net optional dhcp3_3.0+3.0.1rc13-1.diff.gz
 0bc7709da9b0dc28be9f00eaef639ecf 506114 net optional dhcp3-server_3.0+3.0.1rc13-1_i386.deb
 e9d7ce2f735f969b66f87733fad0e4ed 174174 net optional dhcp3-common_3.0+3.0.1rc13-1_i386.deb
 9950ea181acb5295f2b0c79f6b751fc4 81632 devel optional dhcp3-dev_3.0+3.0.1rc13-1_i386.deb
 e145f3056ce029628ae1196b48d7f565 415156 net optional dhcp3-client_3.0+3.0.1rc13-1_i386.deb
 7d010968fdf005cd006e12d285e48f59 311904 net optional dhcp3-relay_3.0+3.0.1rc13-1_i386.deb
 8cb13eb42711e95a5d522d9ca90f8542 147460 debian-installer optional dhcp3-client-udeb_3.0+3.0.1rc13-1_i386.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAO472agjTfAtNY9gRAmZ3AJ9LTdEGoGLpkdFiF7M6vf6IMpeNJgCfccRV
7uzihYokB0GHv2LYTRq3jx0=
=Gakq
-----END PGP SIGNATURE-----




Disconnected #151820 from all other report(s). Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 151820 246692. Request was from David Härdeman <david@2gen.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Ross Boylan <RossBoylan@stanfordalumni.org>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #42 received at 151820@bugs.debian.org (full text, mbox):

From: Ross Boylan <RossBoylan@stanfordalumni.org>
To: Debian Bug Tracking System <151820@bugs.debian.org>
Cc: RossBoylan@stanfordalumni.org
Subject: dhcp3-client: on providing the hostname by default
Date: Fri, 17 Mar 2006 21:48:32 -0800
Package: dhcp3-client
Followup-For: Bug #151820


I ran into this recently.  I was trying to get the dhcp3 server to do
dynamic updates of DNS.  The server doesn't even try if it doesn't get
a hostname, and the default Debian configuration doesn't send it.
Windows2000 server does, so it seems to work better with Linux than
Linux!

I've asked on the dhcp list (which recently merged server and client
lists) whether the client is expected to supply the hostname.  So far,
no answer (I did kind of bury the question). 

The way the dhcp3d.conf man page is written there is no mention of the
fact that dynamic DNS updates will not be attempted if there is no
hostname (though it makes sense, in retrospect).  This might indicate
that the name is expected.

Also, there is a lot of code associated with the dhcp3-client that
gets the hostname (/etc/dhcp3/dhclient-script I think, though I'm not
on the system that has it right now).  I couldn't tell exactly what
the intended purpose was, but if that's supposed to be sending the
hostname to the dhcp server, it isn't working.  Or, maybe the script
isn't invoked by default (though the comments in the conf file seem to
imply it is).

Minimally, it would be nice to document the fact that the default
config doesn't send the hostname, explain how to change that, and list
the consequences of not sending the hostname.

Is there a security reason not to send the hostname?

Note this is talking about getting the dhcp3 server to make the
request to update DNS, not having the client do so directly (241388's
subject, though that bug mentions in passing the need to explicitly
set configurations on the client to get the serve to do the updates).

If the client code that I mentioned earlier is
intended to update DNS directly, it may be relevant that doing some
probably requires some intervention from the user, like setting a
shared secret to allow the updates to happen.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (990, 'stable'), (50, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.27advncdfs
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)



Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <martin.pitt@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #47 received at 151820@bugs.debian.org (full text, mbox):

From: Martin Pitt <martin.pitt@ubuntu.com>
To: 151820@bugs.debian.org
Subject: Ubuntu patch
Date: Wed, 7 Feb 2007 12:41:30 +0100
[Message part 1 (text/plain, inline)]
Hi!

I just implemented this long-standing feature request in Ubuntu:

 dhcp3 (3.0.4-12ubuntu2) feisty; urgency=low
 .
   * Add debian/patches/dynamic-hostname.dpatch:
      - Add support for a new string type 'h' which behaves like 't' except
        that '<hostname>' is changed to the current hostname.
      - Change 'host-name' DHCP option type from 't' to 'h'.
      - Based on a patch from Nathan O'Sullivan, thank you!
   * debian/dhclient.conf: Enable send-hostname by default (value '<hostname>',
     which our shiny new patch from above will translate to the actual
     hostname). Closes: LP#10239 and two handful of duplicates.

You can find the debdiff at

  http://people.ubuntu.com/patches/dhcp3.client-send-hostname.patch

Thanks,

Martin

-- 
Martin Pitt        http://www.piware.de
Ubuntu Developer   http://www.ubuntu.com
Debian Developer   http://www.debian.org
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Simon Law <sfllaw@debian.org> to control@bugs.debian.org. (Mon, 19 Mar 2007 22:24:06 GMT) Full text and rfc822 format available.

Merged 151820 246692 403143. Request was from Simon Law <sfllaw@debian.org> to control@bugs.debian.org. (Mon, 19 Mar 2007 23:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to "Olaf van der Spek" <olafvdspek@gmail.com>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #56 received at 151820@bugs.debian.org (full text, mbox):

From: "Olaf van der Spek" <olafvdspek@gmail.com>
To: "Debian Bug Tracking System" <151820@bugs.debian.org>
Subject: dhcp3-client: Progress?
Date: Fri, 7 Dec 2007 21:52:19 +0100
Package: dhcp3-client
Version: 3.0.6.dfsg-1
Followup-For: Bug #151820

Hi,

Why has this feature not been implemented yet?
A patch is available.

Greetings,

Olaf

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dhcp3-client depends on:
ii  debconf [debconf-2.0]       1.5.17       Debian configuration management sy
ii  debianutils                 2.28.2       Miscellaneous utilities specific t
ii  dhcp3-common                3.0.6.dfsg-1 common files used by all the dhcp3
ii  libc6                       2.7-3        GNU C Library: Shared libraries

dhcp3-client recommends no packages.

-- debconf information:
  dhcp3-client/dhclient-needs-restarting:
  dhcp3-client/dhclient-script_moved:




Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #61 received at 151820@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Olaf van der Spek <olafvdspek@gmail.com>, 151820@bugs.debian.org
Subject: Re: Bug#151820: dhcp3-client: Progress?
Date: Sat, 8 Dec 2007 07:34:38 +1000
[Message part 1 (text/plain, inline)]
On Fri, Dec 07, 2007 at 09:52:19PM +0100, Olaf van der Spek wrote:
> Package: dhcp3-client
> Version: 3.0.6.dfsg-1
> Followup-For: Bug #151820
> 
> Hi,
> 
> Why has this feature not been implemented yet?
> A patch is available.
> 

Multiple reasons. I'd forgotten about it. I also have a policy of not making
Debian's package of DHCPv3 vary wildly from what the upstream codebase does.

I'll send this patch upstream and see what they say about it.

regards

Andrew
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #66 received at 151820@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: dhcp-bugs@isc.org
Cc: 151820-forwarded@bugs.debian.org, 151820-submitter@bugs.debian.org, 151820@bugs.debian.org
Subject: [PATCH] DHCP client does not send hostname to server by default
Date: Fri, 7 Dec 2007 13:42:29 -0800
[Message part 1 (text/plain, inline)]
Hi,

Debian has a wishlist bug that the DHCP client would send the hostname
by default.

The full conversation is at http://bugs.debian.org/151820

Ubuntu made a patch that implements the feature, it's at
http://people.ubuntu.com/patches/dhcp3.client-send-hostname.patch

My personal preference is for these sort of changes to be incorporated
upstream, rather than having distro-specific behavioural changes to the
DHCP software.

Please consider this patch, and let us know what you think of it. Please
maintain the Cc line on all correspondence so that our bug tracking
system is kept in the loop.

regards

Andrew
[signature.asc (application/pgp-signature, inline)]

Reply sent to Andrew Pollock <apollock@debian.org>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Reply sent to Andrew Pollock <apollock@debian.org>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Reply sent to Andrew Pollock <apollock@debian.org>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message sent on to Daniel Jacobowitz <dan@debian.org>:
Bug#151820. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to "Olaf van der Spek" <olafvdspek@gmail.com>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #83 received at 151820@bugs.debian.org (full text, mbox):

From: "Olaf van der Spek" <olafvdspek@gmail.com>
To: "Andrew Pollock" <apollock@debian.org>
Cc: 151820@bugs.debian.org
Subject: Re: Bug#151820: dhcp3-client: Progress?
Date: Fri, 7 Dec 2007 22:51:07 +0100
On Dec 7, 2007 10:34 PM, Andrew Pollock <apollock@debian.org> wrote:
> > Why has this feature not been implemented yet?
> > A patch is available.
> >
>
> Multiple reasons. I'd forgotten about it. I also have a policy of not making
> Debian's package of DHCPv3 vary wildly from what the upstream codebase does.
>
> I'll send this patch upstream and see what they say about it.

Thanks. What about the other bug reports?




Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #88 received at 151820@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Olaf van der Spek <olafvdspek@gmail.com>, 151820@bugs.debian.org
Subject: Re: Bug#151820: dhcp3-client: Progress?
Date: Sat, 8 Dec 2007 09:33:33 +1000
[Message part 1 (text/plain, inline)]
On Fri, Dec 07, 2007 at 10:51:07PM +0100, Olaf van der Spek wrote:
> On Dec 7, 2007 10:34 PM, Andrew Pollock <apollock@debian.org> wrote:
> > > Why has this feature not been implemented yet?
> > > A patch is available.
> > >
> >
> > Multiple reasons. I'd forgotten about it. I also have a policy of not making
> > Debian's package of DHCPv3 vary wildly from what the upstream codebase does.
> >
> > I'll send this patch upstream and see what they say about it.
> 
> Thanks. What about the other bug reports?

What in particular are you talking about?

regards

Andrew
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to "Olaf van der Spek" <olafvdspek@gmail.com>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #93 received at 151820@bugs.debian.org (full text, mbox):

From: "Olaf van der Spek" <olafvdspek@gmail.com>
To: "Andrew Pollock" <apollock@debian.org>
Cc: 151820@bugs.debian.org
Subject: Re: Bug#151820: dhcp3-client: Progress?
Date: Sat, 8 Dec 2007 12:21:10 +0100
On Dec 8, 2007 12:33 AM, Andrew Pollock <apollock@debian.org> wrote:
> > Thanks. What about the other bug reports?
>
> What in particular are you talking about?

http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=dhcp3-client;dist=unstable




Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #98 received at 151820@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Olaf van der Spek <olafvdspek@gmail.com>
Cc: 151820@bugs.debian.org
Subject: Re: Bug#151820: dhcp3-client: Progress?
Date: Mon, 10 Dec 2007 09:11:53 +1000
[Message part 1 (text/plain, inline)]
On Sat, Dec 08, 2007 at 12:21:10PM +0100, Olaf van der Spek wrote:
> On Dec 8, 2007 12:33 AM, Andrew Pollock <apollock@debian.org> wrote:
> > > Thanks. What about the other bug reports?
> >
> > What in particular are you talking about?
> 
> http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=dhcp3-client;dist=unstable
> 

Patches accepted. 

I fix bugs based on my availability and the severity/priority of the bug.

Is there a particular bug that you have an issue with, or are just feeling
the need to point out that there are open bug in dhcp3?

regards

Andrew
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to "Olaf van der Spek" <olafvdspek@gmail.com>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #103 received at 151820@bugs.debian.org (full text, mbox):

From: "Olaf van der Spek" <olafvdspek@gmail.com>
To: "Andrew Pollock" <apollock@debian.org>
Cc: 151820@bugs.debian.org
Subject: Re: Bug#151820: dhcp3-client: Progress?
Date: Mon, 10 Dec 2007 07:20:34 +0100
On Dec 10, 2007 12:11 AM, Andrew Pollock <apollock@debian.org> wrote:
>
> On Sat, Dec 08, 2007 at 12:21:10PM +0100, Olaf van der Spek wrote:
> > On Dec 8, 2007 12:33 AM, Andrew Pollock <apollock@debian.org> wrote:
> > > > Thanks. What about the other bug reports?
> > >
> > > What in particular are you talking about?
> >
> > http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=dhcp3-client;dist=unstable
> >
>
> Patches accepted.
>
> I fix bugs based on my availability and the severity/priority of the bug.
>
> Is there a particular bug that you have an issue with, or are just feeling

Yes, the hostname one, stopping without releasing and I think I've
also seen the pid file issue, but that one is less important.

> the need to point out that there are open bug in dhcp3?

No, I guess you knew already.
I'm merely wondering why some bug reports are like they are,
especially the hostname one.

Greetings,

Olaf




Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Tim Freedom <tim_freedom@yahoo.com>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #108 received at 151820@bugs.debian.org (full text, mbox):

From: Tim Freedom <tim_freedom@yahoo.com>
To: 151820@bugs.debian.org
Subject: Re: Bug#151820: dhcp3-client: Progress?
Date: Mon, 21 Jan 2008 03:47:52 -0800 (PST)
Hi Andrew, you had sent an email to 'dhcp-bugs@isc.org' back on
Dec 7, 2007 requesting comment on the inclusion of sending the
default hostname (patch provided by the ubuntu team), has that
come to some sort of a conclusion ?  If not, can we push for an
opinion and/or an alternate solution...

I've recently been bitten by this seemingly simple issue and dread
having yet another location to note the hostname instead of specifying
'default' (or even the suggested <hostname>).

Regards...



      ____________________________________________________________________________________
Be a better friend, newshound, and 
know-it-all with Yahoo! Mobile.  Try it now.  http://mobile.yahoo.com/;_ylt=Ahu06i62sR8HDtDypao8Wcj9tAcJ 





Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #113 received at 151820@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Tim Freedom <tim_freedom@yahoo.com>, 151820@bugs.debian.org
Subject: Re: Bug#151820: dhcp3-client: Progress?
Date: Thu, 24 Jan 2008 10:03:13 +1000
[Message part 1 (text/plain, inline)]
On Mon, Jan 21, 2008 at 03:47:52AM -0800, Tim Freedom wrote:
> Hi Andrew, you had sent an email to 'dhcp-bugs@isc.org' back on
> Dec 7, 2007 requesting comment on the inclusion of sending the
> default hostname (patch provided by the ubuntu team), has that
> come to some sort of a conclusion ?  If not, can we push for an
> opinion and/or an alternate solution...
> 
> I've recently been bitten by this seemingly simple issue and dread
> having yet another location to note the hostname instead of specifying
> 'default' (or even the suggested <hostname>).

Strangely, the upstream correspondence that came back from that bug, whilst
being Cc'ed to the BTS, didn't seem to make it in. I'll see what I can do
about injecting it in.

Basically, don't hold your breath.

I'm not over the moon about the Ubuntu patch, but I guess if push comes to
shove, we might have to look at putting that one in.

regards

Andrew
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <Olaf@XWIS.Net>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #118 received at 151820@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <Olaf@XWIS.Net>
To: 151820@bugs.debian.org
Subject: Re: Bug#151820: dhcp3-client: Progress?
Date: Sat, 09 Feb 2008 19:14:49 +0100
> I'll see what I can do about injecting it in.

Isn't it on some public mailing list archive?

> Basically, don't hold your breath.

> I'm not over the moon about the Ubuntu patch, but I guess if push

What's 'wrong' with it?
And what are other distributions doing?

Greetings,

Olaf




Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #123 received at 151820@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Olaf van der Spek <Olaf@XWIS.Net>, 151820@bugs.debian.org
Subject: Re: Bug#151820: dhcp3-client: Progress?
Date: Mon, 11 Feb 2008 10:22:06 +1000
[Message part 1 (text/plain, inline)]
On Sat, Feb 09, 2008 at 07:14:49PM +0100, Olaf van der Spek wrote:
> > I'll see what I can do about injecting it in.
> 
> Isn't it on some public mailing list archive?

The -bugs lists don't appear to have archives.
 
> > Basically, don't hold your breath.
> 
> > I'm not over the moon about the Ubuntu patch, but I guess if push
> 
> What's 'wrong' with it?

As I've said previously, I'd rather not make the downstream DHCP package
deviate significantly in behaviour from the upstream software. I don't
particularly like having magical strings that are interpretted differently
to literal strings. I'd rather see it be a directive than a magical string
that gets special treatment. According to upstream, their config parser
can't cope with that concept though.

> And what are other distributions doing?

Not sure, I haven't looked. Why don't you and let me know?

I suggest you lobby upstream to implement the functionality, as I have been.

http://marc.info/?l=dhcp-users&m=120027890132057&w=4

regards

Andrew
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <Olaf@XWIS.Net>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #128 received at 151820@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <Olaf@XWIS.Net>
To: Andrew Pollock <apollock@debian.org>
Cc: 151820@bugs.debian.org
Subject: Re: Bug#151820: dhcp3-client: Progress?
Date: Mon, 11 Feb 2008 02:08:48 +0100
Andrew Pollock wrote:
>> What's 'wrong' with it?
> 
> As I've said previously, I'd rather not make the downstream DHCP package
> deviate significantly in behaviour from the upstream software. I don't

Ah, I thought you didn't like the patch itself either.

> particularly like having magical strings that are interpretted differently
> to literal strings. 

Good point.

> I'd rather see it be a directive than a magical string
> that gets special treatment. According to upstream, their config parser
> can't cope with that concept though.
> 
>> And what are other distributions doing?
> 
> Not sure, I haven't looked. Why don't you and let me know?

I will.
Apparently Fedora is using a command line option (-H).
I don't think that's a good idea though. The conf file is the proper place.

> I suggest you lobby upstream to implement the functionality, as I have been.
> 
> http://marc.info/?l=dhcp-users&m=120027890132057&w=4

I will.

Greetings,

Olaf




Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <Olaf@XWIS.Net>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #133 received at 151820@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <Olaf@XWIS.Net>
To: Andrew Pollock <apollock@debian.org>
Cc: 151820@bugs.debian.org
Subject: Re: Bug#151820: dhcp3-client: Progress?
Date: Mon, 18 Feb 2008 16:01:40 +0100
Andrew Pollock wrote:
> As I've said previously, I'd rather not make the downstream DHCP package
> deviate significantly in behaviour from the upstream software. I don't
> particularly like having magical strings that are interpretted differently
> to literal strings. I'd rather see it be a directive than a magical string
> that gets special treatment. According to upstream, their config parser
> can't cope with that concept though.
> 
>> And what are other distributions doing?
> 
> Not sure, I haven't looked. Why don't you and let me know?
> 
> I suggest you lobby upstream to implement the functionality, as I have been.
> 
> http://marc.info/?l=dhcp-users&m=120027890132057&w=4

Upstream appears to prefer a solution that accepts the pipe output of 
applications for values in the conf file.
Such a solution doesn't exist yet, so I think it's best to apply the 
Ubuntu patch until there's a better solution.

Greetings,

Olaf




Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #138 received at 151820@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Olaf van der Spek <Olaf@XWIS.Net>
Cc: 151820@bugs.debian.org
Subject: Re: Bug#151820: dhcp3-client: Progress?
Date: Thu, 21 Feb 2008 04:11:02 +1000
On Mon, Feb 18, 2008 at 04:01:40PM +0100, Olaf van der Spek wrote:
> Andrew Pollock wrote:
> >As I've said previously, I'd rather not make the downstream DHCP package
> >deviate significantly in behaviour from the upstream software. I don't
> >particularly like having magical strings that are interpretted differently
> >to literal strings. I'd rather see it be a directive than a magical string
> >that gets special treatment. According to upstream, their config parser
> >can't cope with that concept though.
> >
> >>And what are other distributions doing?
> >
> >Not sure, I haven't looked. Why don't you and let me know?
> >
> >I suggest you lobby upstream to implement the functionality, as I have 
> >been.
> >
> >http://marc.info/?l=dhcp-users&m=120027890132057&w=4
> 
> Upstream appears to prefer a solution that accepts the pipe output of 
> applications for values in the conf file.
> Such a solution doesn't exist yet, so I think it's best to apply the 
> Ubuntu patch until there's a better solution.
> 

And then what? We have a behaviour change to deal with? This is one of the
reasons why I don't like making distribution packages differ in behaviour
and functionality from upstream.

As it happens, I had lunch with a bunch of the DHCP folks from ISC
yesterday. I discussed this particular feature with them (again). They have
feature releases and point releases. The only way this will get into
upstream is in another feature release.

regards

Andrew




Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#151820; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <Olaf@XWIS.Net>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #143 received at 151820@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <Olaf@XWIS.Net>
To: Andrew Pollock <apollock@debian.org>
Cc: 151820@bugs.debian.org
Subject: Re: Bug#151820: dhcp3-client: Progress?
Date: Wed, 20 Feb 2008 19:14:15 +0100
Andrew Pollock wrote:
> And then what? We have a behaviour change to deal with? This is one of the
> reasons why I don't like making distribution packages differ in behaviour
> and functionality from upstream.
> 
> As it happens, I had lunch with a bunch of the DHCP folks from ISC
> yesterday. I discussed this particular feature with them (again). They have
> feature releases and point releases. The only way this will get into
> upstream is in another feature release.

Ok. We'll just have to wait on that then.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Dec 2008 07:25:53 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Fri, 27 Mar 2009 15:00:02 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Fri, 27 Mar 2009 15:00:04 GMT) Full text and rfc822 format available.

Forcibly Merged 151820 246692 403143 509440 522889. Request was from Josh Triplett <josh@freedesktop.org> to control@bugs.debian.org. (Fri, 19 Jun 2009 06:39:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, josh@freedesktop.org, Andrew Pollock <apollock@debian.org>:
Bug#151820; Package dhcp3-client. (Fri, 19 Jun 2009 06:45:05 GMT) Full text and rfc822 format available.

Message #154 received at 151820@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: Debian Bug Tracking System <151820@bugs.debian.org>
Subject: dhcp3-client: Status of this report?
Date: Thu, 18 Jun 2009 23:26:47 -0700
The last update to this bug occurred more than a year ago.  The
discussion of this issue upstream has long-since died, and further
feature releases from ISC don't seem to have any fix for this bug.

Any status update?  Any activity on this issue upstream?

- Josh Triplett




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Pollock <apollock@debian.org>:
Bug#151820; Package dhcp3-client. (Wed, 24 Jun 2009 20:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johan Walles <johan.walles@gmail.com>:
Extra info received and forwarded to list. Copy sent to Andrew Pollock <apollock@debian.org>. (Wed, 24 Jun 2009 20:09:09 GMT) Full text and rfc822 format available.

Message #159 received at 151820@bugs.debian.org (full text, mbox):

From: Johan Walles <johan.walles@gmail.com>
To: 151820@bugs.debian.org
Subject: Can be worked around using the Ubuntu packages
Date: Wed, 24 Jun 2009 22:08:22 +0200
+1

Using the Ubuntu packages works fine as a workaround while waiting for
upstream / Debian.

Ubuntu packages for ia32 and amd64 can be downloaded here:
http://packages.ubuntu.com/jaunty/dhcp3-client
http://packages.ubuntu.com/jaunty/dhcp3-common

Download packages, then install with "dpkg -i dhcp3*ubuntu*deb".

I just tried them and they work splendidly.

  Regards //Johan (just hit by this after upgrading my router to Tomato)




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Pollock <apollock@debian.org>:
Bug#151820; Package dhcp3-client. (Wed, 05 Aug 2009 23:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Andrew Pollock <apollock@debian.org>. (Wed, 05 Aug 2009 23:36:02 GMT) Full text and rfc822 format available.

Message #164 received at 151820@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: 151820@bugs.debian.org
Subject: Re: Bug#151820: Can be worked around using the Ubuntu packages
Date: Thu, 6 Aug 2009 01:33:55 +0200
[Message part 1 (text/plain, inline)]
* Johan Walles <johan.walles@gmail.com> [20090805 23:26]:

> Using the Ubuntu packages works fine as a workaround while waiting for
> upstream / Debian.

Any news regarding this issue?

Wouldn't it make sense to coordinate this one with other
distributions if upstream isn't interested in handling it?
I was told that SuSE and RedHat ship their own patchset as well,
so synchronising the default behaviour between major Linux
distributions would be a benefit for users.

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Pollock <apollock@debian.org>:
Bug#151820; Package dhcp3-client. (Tue, 11 Aug 2009 19:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to nr@cs.tufts.edu (Norman Ramsey):
Extra info received and forwarded to list. Copy sent to Andrew Pollock <apollock@debian.org>. (Tue, 11 Aug 2009 19:27:13 GMT) Full text and rfc822 format available.

Message #169 received at 151820@bugs.debian.org (full text, mbox):

From: nr@cs.tufts.edu (Norman Ramsey)
To: 151820@bugs.debian.org
Subject: let's give up on upstream and include a patch
Date: Tue, 11 Aug 2009 15:25:24 -0400 (EDT)
While I understand both the reluctance to have a patch at all and the
distaste for the ubuntu patch, this bug is an ugly wart on our distribution.
I would really like to see *some* sort of patch go forward on this,
so that debian boxes identify themselves correctly by default.


Norman




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#151820; Package dhcp3-client. (Thu, 13 Aug 2009 04:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. (Thu, 13 Aug 2009 04:57:03 GMT) Full text and rfc822 format available.

Message #174 received at 151820@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Norman Ramsey <nr@cs.tufts.edu>, 151820@bugs.debian.org
Subject: Re: Bug#151820: let's give up on upstream and include a patch
Date: Thu, 13 Aug 2009 14:55:20 +1000
[Message part 1 (text/plain, inline)]
On Tue, Aug 11, 2009 at 03:25:24PM -0400, Norman Ramsey wrote:
> While I understand both the reluctance to have a patch at all and the
> distaste for the ubuntu patch, this bug is an ugly wart on our distribution.
> I would really like to see *some* sort of patch go forward on this,
> so that debian boxes identify themselves correctly by default.
> 

No. I've previously explained that I do not wish to have to make users deal
with an inevitable behaviour change between some downstream patch and the
way upstream ends up doing it. FWIW, it looks like they're going to have a
new version that implements it soon. I had lunch with upstream a couple of
weeks ago and they mentioned they were working on it.

regards

Andrew
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Pollock <apollock@debian.org>:
Bug#151820; Package dhcp3-client. (Fri, 14 Aug 2009 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norman Ramsey <nr@segway.eecs.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Andrew Pollock <apollock@debian.org>. (Fri, 14 Aug 2009 19:12:03 GMT) Full text and rfc822 format available.

Message #179 received at 151820@bugs.debian.org (full text, mbox):

From: Norman Ramsey <nr@segway.eecs.harvard.edu>
To: Andrew Pollock <apollock@debian.org>
Cc: 151820@bugs.debian.org
Subject: Re: Bug#151820: let's give up on upstream and include a patch
Date: Fri, 14 Aug 2009 15:09:14 -0400
 > On Tue, Aug 11, 2009 at 03:25:24PM -0400, Norman Ramsey wrote:
 > > While I understand both the reluctance to have a patch at all and the
 > > distaste for the ubuntu patch, this bug is an ugly wart on our
 > > distribution. I would really like to see *some* sort of patch go forward
 > > on this, so that debian boxes identify themselves correctly by default.
 > > 
 > 
 > No. I've previously explained that I do not wish to have to make users deal
 > with an inevitable behaviour change between some downstream patch and the
 > way upstream ends up doing it. 

Thanks for the clear explanation.  It's a question about which
reasonable people could differ.  I suspect most users don't touch
their /etc/dhcp3/* conffiles and that this behavior change would
therefore be invisible to the vast majority.  For my own part, I would
rather deal with two behavior changes and have functionality sooner
than have to wait N months and deal with only one behavior change.
But I'm a power user and shouldn't be taken as representative of
anyone.

I wouldn't make a fuss about just any bug, but I've just finished
dealing with the new crappy router that Verizon foists on their FiOS
customers, and it's rather embarrassing that a Windows host identifies
itself to DHCP out of the box and a Debian/Ubuntu host does not.
Port forwarding, in particular, becomes a huge headache.

For those users who don't mess with /etc/dhcp3/* files, the sequence
of events would be
 
  1. At their next update, they will get a patched client and new
     conffiles, and their hosts will identify themselves.

  2. When upstream fixes the problem, *you* will have to deal with the
     behavior change, but most users will get the new client (no
     longer patched), new conffiles, and their hosts will continue to
     identify themselves.

From my point of view it's really a question of how many users are
likely to be affected at what times, and what's best for the
distribution as a whole.  But you're the one who's volunteering your
time to maintain the package, so you get to make those decisions.
I just wanted to get my objections into the public record.

 > FWIW, it looks like [upstream are] going to have a new version that
 > implements it soon. I had lunch with upstream a couple of weeks ago
 > and they mentioned they were working on it.

That will be great.  I'm sure will all be happier when this question
is moot.


Norman




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Pollock <apollock@debian.org>:
Bug#151820; Package dhcp3-client. (Tue, 02 Feb 2010 02:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Y Knight <foom@fuhm.net>:
Extra info received and forwarded to list. Copy sent to Andrew Pollock <apollock@debian.org>. (Tue, 02 Feb 2010 02:48:09 GMT) Full text and rfc822 format available.

Message #184 received at 151820@bugs.debian.org (full text, mbox):

From: James Y Knight <foom@fuhm.net>
To: 151820@bugs.debian.org
Subject: Good news upstream
Date: Mon, 1 Feb 2010 21:31:23 -0500
I just ran into this issue recently for a group of hosts I'm managing,  
and solved it, for now, by importing the patch "debian/patches/dynamic- 
hostname.dpatch" from Ubuntu's DHCP3 package, and adding:
  send host-name "<hostname>";
to the default config file. Just to get things going for myself.

However, while investigating things, I ran into good news from  
upstream; it looks like it will be (finally!) fixed in dhclient 4.2,  
woo!

From http://oldwww.isc.org/sw/dhcp/dhcp4_2.php?noframes=1

"
Added a configuration function, 'gethostname()', which calls the  
system function of the same name and presents the results as a data  
expression. This function can be used to incorporate the system level  
hostname of the system the DHCP software is operating on in responses  
or queries (such as including a failover partner's hostname in a dhcp  
message or binding scope, or having a DHCP client send any system  
hostname in the host-name or FQDN options by default).
"

But, since 4.2 alpha was just released in December, and Debian doesn't  
even have 4.1 yet, it looks like this probably won't make it in time  
for squeeze...and it'd be really nice if it worked right out of the  
box in Squeeze if at all possible.

So, perhaps now that upstream's preferred solution is known, it'd be  
okay to backport that change to the DHCP version currently in Debian,  
so that squeeze can have the fix? I suspect it *WOULD* be completely  
trivial to backport, if ISC's CVS repository wasn't behind a $200 pay- 
wall (Seriously!!!!!!!!!). But, even without being able to just merge  
the single commit, I think just grepping for expr_gethostname and  
copying everything about that is likely to be all that's needed.

If you're amenable to releasing a dhcp3-client with such a backport, I  
can take a shot at extracting out such a patch...(although, perhaps  
you have access to upstream's source repo and it'd be easier for you?)

James




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Pollock <apollock@debian.org>:
Bug#151820; Package dhcp3-client. (Tue, 02 Feb 2010 10:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <olaf@xwis.net>:
Extra info received and forwarded to list. Copy sent to Andrew Pollock <apollock@debian.org>. (Tue, 02 Feb 2010 10:57:07 GMT) Full text and rfc822 format available.

Message #189 received at 151820@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olaf@xwis.net>
To: James Y Knight <foom@fuhm.net>, 151820@bugs.debian.org
Subject: Re: Bug#151820: Good news upstream
Date: Tue, 02 Feb 2010 11:27:31 +0100
On 2-2-2010 3:31, James Y Knight wrote:
> But, since 4.2 alpha was just released in December, and Debian doesn't
> even have 4.1 yet, it looks like this probably won't make it in time for
> squeeze...and it'd be really nice if it worked right out of the box in
> Squeeze if at all possible.
>
> So, perhaps now that upstream's preferred solution is known, it'd be
> okay to backport that change to the DHCP version currently in Debian, so
> that squeeze can have the fix? I suspect it *WOULD* be completely
> trivial to backport, if ISC's CVS repository wasn't behind a $200
> pay-wall (Seriously!!!!!!!!!). But, even without being able to just
> merge the single commit, I think just grepping for expr_gethostname and
> copying everything about that is likely to be all that's needed.
>
> If you're amenable to releasing a dhcp3-client with such a backport, I
> can take a shot at extracting out such a patch...(although, perhaps you
> have access to upstream's source repo and it'd be easier for you?)

Nice!
If that's not possible, maybe adding the new syntax to the existing 
Ubuntu patch (I assume it's send host-name "gethostname()";) shouldn't 
be hard.

Olaf




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Pollock <apollock@debian.org>:
Bug#151820; Package dhcp3-client. (Thu, 04 Feb 2010 03:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Y Knight <foom@fuhm.net>:
Extra info received and forwarded to list. Copy sent to Andrew Pollock <apollock@debian.org>. (Thu, 04 Feb 2010 03:57:03 GMT) Full text and rfc822 format available.

Message #194 received at 151820@bugs.debian.org (full text, mbox):

From: James Y Knight <foom@fuhm.net>
To: Olaf van der Spek <olaf@xwis.net>
Cc: 151820@bugs.debian.org
Subject: Re: Bug#151820: Good news upstream
Date: Wed, 3 Feb 2010 22:52:55 -0500
On Feb 2, 2010, at 5:27 AM, Olaf van der Spek wrote:
> Nice!
> If that's not possible, maybe adding the new syntax to the existing  
> Ubuntu patch (I assume it's send host-name "gethostname()";)  
> shouldn't be hard.

My understanding from the man pages is that it would be:
  send host-name = gethostname();
although I've not attempted to verify that my understanding is correct.

If you look in the "dhcp-options" and "dhcp-eval" manpages, you can  
see the syntax for such expressions. I don't see any mention of them  
working in a "send" line, but I *think* all the infrastructure for  
parsing and evaluating such expressions is already present, it's just  
the new function gethostbyname() expression that was added (thus  
expr_gethostname). So the patch will be completely different and  
should be much less hacky than Ubuntu's patch.

James




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Pollock <apollock@debian.org>:
Bug#151820; Package dhcp3-client. (Fri, 12 Feb 2010 11:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ezequiel Lara Gómez <jisakiel@yahoo.es>:
Extra info received and forwarded to list. Copy sent to Andrew Pollock <apollock@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 12 Feb 2010 11:15:07 GMT) Full text and rfc822 format available.


Message #199 received at 151820@bugs.debian.org (full text, mbox):

From: Ezequiel Lara Gómez <jisakiel@yahoo.es>
To: 151820@bugs.debian.org
Date: Fri, 12 Feb 2010 11:11:51 +0000 (GMT)








Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Pollock <apollock@debian.org>:
Bug#151820; Package dhcp3-client. (Fri, 26 Mar 2010 06:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johan Walles <johan.walles@gmail.com>:
Extra info received and forwarded to list. Copy sent to Andrew Pollock <apollock@debian.org>. (Fri, 26 Mar 2010 06:00:03 GMT) Full text and rfc822 format available.

Message #204 received at 151820@bugs.debian.org (full text, mbox):

From: Johan Walles <johan.walles@gmail.com>
To: 151820@bugs.debian.org
Subject: Another workaround: Use network-manager instead
Date: Fri, 26 Mar 2010 06:57:51 +0100
Another workaround (where the first is to use the Ubuntu packages, see
above) is to install network-manager.

After installing network-manager, you have to remove from
/etc/network/interfaces all interfaces that you want network-manager
to handle.  Network-manager handles all interfaces not in that file,
and it does properly send the host name in the DHCP request (I just
tried it).

  Regards /Johan




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Pollock <apollock@debian.org>:
Bug#151820; Package dhcp3-client. (Fri, 16 Apr 2010 16:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johan Walles <johan.walles@gmail.com>:
Extra info received and forwarded to list. Copy sent to Andrew Pollock <apollock@debian.org>. (Fri, 16 Apr 2010 16:54:04 GMT) Full text and rfc822 format available.

Message #209 received at 151820@bugs.debian.org (full text, mbox):

From: Johan Walles <johan.walles@gmail.com>
To: 151820@bugs.debian.org
Subject: NetworkManager does *not* help
Date: Fri, 16 Apr 2010 18:50:20 +0200
Turns out that NetworkManager does *not* help.

It depends on and uses the broken DHCP packages, and with or without
NetworkManager the only workaround I know of is still installing the
Ubuntu packages as described earlier in this BUG.

  Regards /Johan




Forcibly Merged 151820 246692 403143 509440 522889 561461. Request was from Andrew Pollock <apollock@debian.org> to control@bugs.debian.org. (Mon, 14 Jun 2010 02:48:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#151820; Package dhcp3-client. (Mon, 14 Jun 2010 03:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. (Mon, 14 Jun 2010 03:06:03 GMT) Full text and rfc822 format available.

Message #216 received at 151820@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: 151820@bugs.debian.org
Subject: An update
Date: Mon, 14 Jun 2010 12:48:37 +1000
[Message part 1 (text/plain, inline)]
Since this bug is moderately popular, and someone just filed a duplicate of
it, I thought it appropriate to provide an update for all the interested
parties.

Basically, upstream has implemented functionality that will make this
possible in 4.2.0, which is still in beta.

Once it comes out of beta, I will update the Debian 4.1.x package, and then
we can call this bug done.

See http://www.isc.org/files/release-notes/dhcp4.2.0b2RelNotes.txt for more
details
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Pollock <apollock@debian.org>:
Bug#151820; Package dhcp3-client. (Mon, 14 Jun 2010 15:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tony Houghton <h@realh.co.uk>:
Extra info received and forwarded to list. Copy sent to Andrew Pollock <apollock@debian.org>. (Mon, 14 Jun 2010 15:54:07 GMT) Full text and rfc822 format available.

Message #221 received at 151820@bugs.debian.org (full text, mbox):

From: Tony Houghton <h@realh.co.uk>
To: 151820@bugs.debian.org
Subject: Re: dhcp3-client: Does not send hostname to server by default
Date: Mon, 14 Jun 2010 16:45:12 +0100
That someone would be me I guess (#585799). I didn't understand the bug
properly, because when I added 'send host-name "<hostname>";' to my
config it appeared to fix a problem I was having with my router, but
from reading this report it appears that the Debian version doesn't
support "<hostname>" (but it does support send host-name as long as it's
given a literal hostname?), so I suppose I just had a lucky case of two
wrongs making a right :).

Does anyone know how soon 4.2.0 is expected? If it's a long time,
perhaps now that the way upstream is going to implement this thanks to
the beta, could it be backported to the unstable package, or could the
beta go into experimental?

Otherwise, perhaps the developers/maintainers of network-manager would
be prepared to get it to add a send host-name directive when it creates
its dynamic dhclient config file if there isn't already one in the
template.

-- 
TH * http://www.realh.co.uk




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#151820; Package dhcp3-client. (Mon, 14 Jun 2010 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. (Mon, 14 Jun 2010 16:33:03 GMT) Full text and rfc822 format available.

Message #226 received at 151820@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Tony Houghton <h@realh.co.uk>, 151820@bugs.debian.org
Subject: Re: Bug#151820: dhcp3-client: Does not send hostname to server by default
Date: Tue, 15 Jun 2010 02:30:51 +1000
[Message part 1 (text/plain, inline)]
On Mon, Jun 14, 2010 at 04:45:12PM +0100, Tony Houghton wrote:
> That someone would be me I guess (#585799). I didn't understand the bug
> properly, because when I added 'send host-name "<hostname>";' to my
> config it appeared to fix a problem I was having with my router, but
> from reading this report it appears that the Debian version doesn't
> support "<hostname>" (but it does support send host-name as long as it's
> given a literal hostname?), so I suppose I just had a lucky case of two
> wrongs making a right :).

Correct, the host-name option is supported, as long as you hard-code the
hostname you want to send in your dhclient.conf.
 
> Does anyone know how soon 4.2.0 is expected? If it's a long time,
> perhaps now that the way upstream is going to implement this thanks to
> the beta, could it be backported to the unstable package, or could the
> beta go into experimental?

I'll enquire about when 4.2.0 is due out. I think historically the ISC
hasn't followed a terribly predictable release schedule.
 
> Otherwise, perhaps the developers/maintainers of network-manager would
> be prepared to get it to add a send host-name directive when it creates
> its dynamic dhclient config file if there isn't already one in the
> template.

That's certainly an option, and one to take up with the NetworkManager
folks.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#151820; Package dhcp3-client. (Tue, 27 Jul 2010 11:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johan Walles <johan.walles@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 27 Jul 2010 11:12:07 GMT) Full text and rfc822 format available.

Message #231 received at 151820@bugs.debian.org (full text, mbox):

From: Johan Walles <johan.walles@gmail.com>
To: 151820@bugs.debian.org
Cc: apollock@debian.org, h@realh.co.uk
Subject: DHCP 4.2.0 is out
Date: Tue, 27 Jul 2010 13:08:04 +0200
Hi!

ISC DHCP 4.2.0 was released on July 14th:
http://www.isc.org/software/dhcp

  Regards //Johan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#151820; Package dhcp3-client. (Tue, 27 Jul 2010 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 27 Jul 2010 15:57:03 GMT) Full text and rfc822 format available.

Message #236 received at 151820@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Johan Walles <johan.walles@gmail.com>
Cc: 151820@bugs.debian.org, h@realh.co.uk
Subject: Re: DHCP 4.2.0 is out
Date: Wed, 28 Jul 2010 01:55:21 +1000
[Message part 1 (text/plain, inline)]
On Tue, Jul 27, 2010 at 01:08:04PM +0200, Johan Walles wrote:
> Hi!
> 
> ISC DHCP 4.2.0 was released on July 14th:
> http://www.isc.org/software/dhcp

Yes, now that I've got 4.1.1 in testing, I'll be working on 4.2.0
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#151820; Package dhcp3-client. (Sun, 12 Dec 2010 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thomas D." <whistl0r@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 12 Dec 2010 22:36:03 GMT) Full text and rfc822 format available.

Message #241 received at 151820@bugs.debian.org (full text, mbox):

From: "Thomas D." <whistl0r@googlemail.com>
To: <151820@bugs.debian.org>
Subject: What's the current status?
Date: Sun, 12 Dec 2010 23:33:47 +0100
Hi,

I run into the same issue. I am currently on Debian Squeeze
and the isc-dhcp-client package is still at version 4.1.1
(4.1.1-P1-15 in detail).

So what's the current status? Will Debian Squeeze be finally
able to identify itself correctly via DHCP?


-- 
Regards
Thomas






Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#151820; Package dhcp3-client. (Sun, 12 Dec 2010 22:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 12 Dec 2010 22:54:03 GMT) Full text and rfc822 format available.

Message #246 received at 151820@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: "Thomas D." <whistl0r@googlemail.com>, 151820@bugs.debian.org
Subject: Re: [pkg-dhcp-devel] Bug#151820: What's the current status?
Date: Mon, 13 Dec 2010 08:50:04 +1000
[Message part 1 (text/plain, inline)]
On Sun, Dec 12, 2010 at 11:33:47PM +0100, Thomas D. wrote:
> Hi,
> 
> I run into the same issue. I am currently on Debian Squeeze
> and the isc-dhcp-client package is still at version 4.1.1
> (4.1.1-P1-15 in detail).
> 
> So what's the current status? Will Debian Squeeze be finally
> able to identify itself correctly via DHCP?
> 

Unfortunately, because Squeeze went into a deep freeze right around the time
I uploaded 4.1.1 to unstable, I'm not going to be able to get 4.2 into
Squeeze, so this bug won't be resolved until Squeeze+1. Sorry.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#151820; Package dhcp3-client. (Mon, 09 Apr 2012 19:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to William Schaub <william.schaub@genesi-usa.com>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 09 Apr 2012 19:42:02 GMT) Full text and rfc822 format available.

Message #251 received at 151820@bugs.debian.org (full text, mbox):

From: William Schaub <william.schaub@genesi-usa.com>
To: 151820@bugs.debian.org
Subject: gethostname() seems to work on wheezy/sid but is not in the default dhclient.conf config.
Date: Mon, 09 Apr 2012 15:39:28 -0400
Would it be possible to add the following line to /etc/dhcp/dhclient.conf?


send host-name = gethostname();

that should solve this bug in testing and unstable.




Bug reassigned from package 'dhcp3-client' to 'isc-dhcp-client'. Request was from Andrew Pollock <apollock@debian.org> to control@bugs.debian.org. (Thu, 26 Apr 2012 04:30:08 GMT) Full text and rfc822 format available.

No longer marked as found in versions dhcp3/3.1.3-1, dhcp3/3.1.2-1, dhcp3/3.0.4-13, dhcp3/3.0.6.dfsg-1, dhcp3/3.0.4-10, and 3.0+3.0.1rc9-2. Request was from Andrew Pollock <apollock@debian.org> to control@bugs.debian.org. (Thu, 26 Apr 2012 04:30:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Andrew Pollock <apollock@debian.org> to control@bugs.debian.org. (Thu, 26 Apr 2012 04:30:13 GMT) Full text and rfc822 format available.

Reply sent to Michael Gilbert <mgilbert@debian.org>:
You have taken responsibility. (Sat, 28 Apr 2012 20:51:03 GMT) Full text and rfc822 format available.

Notification sent to Daniel Jacobowitz <dan@debian.org>:
Bug acknowledged by developer. (Sat, 28 Apr 2012 20:51:03 GMT) Full text and rfc822 format available.

Message #262 received at 151820-close@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 151820-close@bugs.debian.org
Subject: Bug#151820: fixed in isc-dhcp 4.2.2.dfsg.1-5
Date: Sat, 28 Apr 2012 20:47:25 +0000
Source: isc-dhcp
Source-Version: 4.2.2.dfsg.1-5

We believe that the bug you reported is fixed in the latest version of
isc-dhcp, which is due to be installed in the Debian FTP archive:

isc-dhcp-client-dbg_4.2.2.dfsg.1-5_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-client-dbg_4.2.2.dfsg.1-5_amd64.deb
isc-dhcp-client-udeb_4.2.2.dfsg.1-5_amd64.udeb
  to main/i/isc-dhcp/isc-dhcp-client-udeb_4.2.2.dfsg.1-5_amd64.udeb
isc-dhcp-client_4.2.2.dfsg.1-5_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-client_4.2.2.dfsg.1-5_amd64.deb
isc-dhcp-common_4.2.2.dfsg.1-5_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-common_4.2.2.dfsg.1-5_amd64.deb
isc-dhcp-dev_4.2.2.dfsg.1-5_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-dev_4.2.2.dfsg.1-5_amd64.deb
isc-dhcp-relay-dbg_4.2.2.dfsg.1-5_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-relay-dbg_4.2.2.dfsg.1-5_amd64.deb
isc-dhcp-relay_4.2.2.dfsg.1-5_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-relay_4.2.2.dfsg.1-5_amd64.deb
isc-dhcp-server-dbg_4.2.2.dfsg.1-5_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-server-dbg_4.2.2.dfsg.1-5_amd64.deb
isc-dhcp-server-ldap_4.2.2.dfsg.1-5_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-server-ldap_4.2.2.dfsg.1-5_amd64.deb
isc-dhcp-server_4.2.2.dfsg.1-5_amd64.deb
  to main/i/isc-dhcp/isc-dhcp-server_4.2.2.dfsg.1-5_amd64.deb
isc-dhcp_4.2.2.dfsg.1-5.debian.tar.gz
  to main/i/isc-dhcp/isc-dhcp_4.2.2.dfsg.1-5.debian.tar.gz
isc-dhcp_4.2.2.dfsg.1-5.dsc
  to main/i/isc-dhcp/isc-dhcp_4.2.2.dfsg.1-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 151820@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Gilbert <mgilbert@debian.org> (supplier of updated isc-dhcp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 28 Apr 2012 16:00:49 -0400
Source: isc-dhcp
Binary: isc-dhcp-server isc-dhcp-server-dbg isc-dhcp-server-ldap isc-dhcp-common isc-dhcp-dev isc-dhcp-client isc-dhcp-client-dbg isc-dhcp-client-udeb isc-dhcp-relay isc-dhcp-relay-dbg
Architecture: source amd64
Version: 4.2.2.dfsg.1-5
Distribution: unstable
Urgency: medium
Maintainer: Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>
Changed-By: Michael Gilbert <mgilbert@debian.org>
Description: 
 isc-dhcp-client - ISC DHCP client
 isc-dhcp-client-dbg - ISC DHCP client (debugging symbols)
 isc-dhcp-client-udeb - ISC DHCP Client for debian-installer (udeb)
 isc-dhcp-common - common files used by all the isc-dhcp* packages
 isc-dhcp-dev - API for accessing and modifying the DHCP server and client state
 isc-dhcp-relay - ISC DHCP relay daemon
 isc-dhcp-relay-dbg - DHCP relay daemon (debugging symbols)
 isc-dhcp-server - ISC DHCP server for automatic IP address assignment
 isc-dhcp-server-dbg - ISC DHCP server for automatic IP address assignment (debug)
 isc-dhcp-server-ldap - DHCP server able to use LDAP as backend
Closes: 151820 652259 655746
Changes: 
 isc-dhcp (4.2.2.dfsg.1-5) unstable; urgency=medium
 .
   [ Andrew Pollock ]
   * debian/dhclient.conf: send the hostname (closes: #151820)
 .
   [ Michael Gilbert ]
   * Fix cve-2011-4868: error in DDNS handling with IPv6 (closes: #655746)
   * Fix cve-2011-4539: error in regular expression handling
     (closes: #652259)
   * Make dependencies diff-able
   * Add myself to uploaders
   * Remove all automatically generated files in clean rule
   * Medium urgency for security updates
Checksums-Sha1: 
 770081657f9f69be067323e93d3f34151f107890 3290 isc-dhcp_4.2.2.dfsg.1-5.dsc
 ab15504c8f115e5e9310f39380cd168c60ea8e79 92836 isc-dhcp_4.2.2.dfsg.1-5.debian.tar.gz
 38c509baf37fc2b30a3ef6d7fc211ef046afac86 938610 isc-dhcp-server_4.2.2.dfsg.1-5_amd64.deb
 040d7e0e2b691e3183e5f0ac51bee5704ee09ecd 1881692 isc-dhcp-server-dbg_4.2.2.dfsg.1-5_amd64.deb
 a766868e39a1b5e504662bb5e8345b9c5ae69e3a 894938 isc-dhcp-server-ldap_4.2.2.dfsg.1-5_amd64.deb
 0689eafcb53546029eb981e297bb147c5cab9364 854868 isc-dhcp-common_4.2.2.dfsg.1-5_amd64.deb
 f6128c1326f9bb4e3159caae47a8d2ffff31a9cd 721116 isc-dhcp-dev_4.2.2.dfsg.1-5_amd64.deb
 a4abfd23f72056955d830de0d2982896d7a09c10 794910 isc-dhcp-client_4.2.2.dfsg.1-5_amd64.deb
 da823a4d750f309b52f37315ddc315f6d797f009 1657818 isc-dhcp-client-dbg_4.2.2.dfsg.1-5_amd64.deb
 b78c0d79e64e5147b1e640ecd8476f9a1eed046e 739426 isc-dhcp-client-udeb_4.2.2.dfsg.1-5_amd64.udeb
 36c9c55a831f30f28ebdd982487feef555e04c96 735874 isc-dhcp-relay_4.2.2.dfsg.1-5_amd64.deb
 bbbbcbcbd5a3f9a6b88549805278f29e3a29a68f 1601962 isc-dhcp-relay-dbg_4.2.2.dfsg.1-5_amd64.deb
Checksums-Sha256: 
 ffa6a564d09d24da2050037ac3b0b34f377d45c4cd361605d1b14a638cc14b25 3290 isc-dhcp_4.2.2.dfsg.1-5.dsc
 c0b6d3b83f49c3607b2629b29f5692e0a766c52d76ab0d1bccb0dc5abf11c397 92836 isc-dhcp_4.2.2.dfsg.1-5.debian.tar.gz
 ec95dcf0bb69a5d40f0e5216063b1360be3a3cf995e2f3c476750595a21a3738 938610 isc-dhcp-server_4.2.2.dfsg.1-5_amd64.deb
 35e9c7062f20f1623637b7b4069d6b1cb45ccb2eeb9485e1f8af29a3d9c6d29d 1881692 isc-dhcp-server-dbg_4.2.2.dfsg.1-5_amd64.deb
 64899204d2e97ac37205a86bf9a63f83c4e7ed4c76224d525d7965e44510fdb7 894938 isc-dhcp-server-ldap_4.2.2.dfsg.1-5_amd64.deb
 1082e4f2c1cea9f79ee025aece0fc3368d7e25fd63f9d61eced3b7a2df43aaa7 854868 isc-dhcp-common_4.2.2.dfsg.1-5_amd64.deb
 4ed286ab8f3ccf6af615a0c3ac776b4e60743f8ac12abc9c54477f954475e1fb 721116 isc-dhcp-dev_4.2.2.dfsg.1-5_amd64.deb
 eb70cc38493c92d6b0746bdf793307c311dbdf1f5f1cb431e3f62f2f6347bb82 794910 isc-dhcp-client_4.2.2.dfsg.1-5_amd64.deb
 7f28e3ea9c0b444324b21032bec97c75dbe4a72e790f5e75e10bc0ead649a54a 1657818 isc-dhcp-client-dbg_4.2.2.dfsg.1-5_amd64.deb
 f5930d202b2cede4aab98c10094eae9254fbef6abf4725a2dad0be91964034bf 739426 isc-dhcp-client-udeb_4.2.2.dfsg.1-5_amd64.udeb
 5d5b0d62736a27122972162a0c93f022e39a5bf47c0257934cb22037b0acc1ff 735874 isc-dhcp-relay_4.2.2.dfsg.1-5_amd64.deb
 351a9b8c6c5f5bbe591762dda67bbb5502899db43f954e6e8559d4cd5f01082a 1601962 isc-dhcp-relay-dbg_4.2.2.dfsg.1-5_amd64.deb
Files: 
 74f2a6eb78aa5fdfb07a4dc00c550eb3 3290 net important isc-dhcp_4.2.2.dfsg.1-5.dsc
 8964b0199ca4d4b0ae4725107bf0c54e 92836 net important isc-dhcp_4.2.2.dfsg.1-5.debian.tar.gz
 c9fdc507c860816a5c609dfc716d0a5f 938610 net optional isc-dhcp-server_4.2.2.dfsg.1-5_amd64.deb
 c00d6224712ac6808f45f9bb6f5dfaeb 1881692 debug extra isc-dhcp-server-dbg_4.2.2.dfsg.1-5_amd64.deb
 ef74d4284561b97e1deee05377fda34d 894938 net optional isc-dhcp-server-ldap_4.2.2.dfsg.1-5_amd64.deb
 091c0d67a17196682cc16dac73fb696d 854868 net important isc-dhcp-common_4.2.2.dfsg.1-5_amd64.deb
 4dc2bdd925cfa7f8e63b89ba882ff6b3 721116 devel optional isc-dhcp-dev_4.2.2.dfsg.1-5_amd64.deb
 4bfe0211d7fba1fc1ed43aa687a4c255 794910 net important isc-dhcp-client_4.2.2.dfsg.1-5_amd64.deb
 0f17932ce3b72409ce03cfd3ed70da3c 1657818 debug extra isc-dhcp-client-dbg_4.2.2.dfsg.1-5_amd64.deb
 04c609931ec9af16d72c1fbd82a40cc2 739426 debian-installer extra isc-dhcp-client-udeb_4.2.2.dfsg.1-5_amd64.udeb
 e5b3d20d2d5387e0e03d388e81f2f1f8 735874 net optional isc-dhcp-relay_4.2.2.dfsg.1-5_amd64.deb
 25ea1c5bdb8bb9ae0d4c12c1ceca75fd 1601962 debug extra isc-dhcp-relay-dbg_4.2.2.dfsg.1-5_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQQcBAEBCAAGBQJPnE3hAAoJELjWss0C1vRzcuAgAI/JIL2LKu08SZa2tpfYbdhw
Y0X6lV3z70jjyOzvLuV3h/SPzNDLrc3csdcznS7iKoSRlGt8sJBsrCAXFyPFeLbX
92vY0ClEwYxJv9YU2ynKWDpBp3mwyUkMx439NoTyHklG59t1t8J+2lpayOgjFRZU
I1EItT1b6F7xbUOHfId/wbpX/mxFKcWMY6QgN2ak6Ig4bZp0J53cbAfrRpJn5t3S
0OZiQS2kGf/WgrqKs7lUkimOsxn/YyWJiiIY2qtDrHZMzjKVumFD+LiqKTfbghBm
Hbe2Mhq0+OpFvofd2Bdoy6jT5lc/VWrIJSP1Bx4aH4Mn6F54kR+XN6+EB/Bfv9Qs
YSktX+TrSIJugsg9q8CFcp2lek8HScwDjsF7aIDy6wwtQcjC9TZQvBw8l5CY5+5C
papAkXdZVShJwGSFuWijeMF8P+WBZ+eSXWQpTkSoy4wUHZsJuWI8FCdUp78EG2Nw
DEh3gcgbb5C0/2GB3m6HXTMPkWW25hc89Yt0uZEebpboLsgw/olzBemANSwkyCBM
IXSvY2tWalpkdfIIzPllMP2y4IblilP32kYFZrsbn1MasveyXkxWq+czDI2r1H7o
J5YaqM/YTMVyRgLr9BxV3g8EZdenUpfIeryTes7CMr8y8iseoIVDGQWgFtltCy69
6ZOozi9O6euPjtYf2OlVy8NieVL5Q/HE/f82fdLJy+snO3ipCq5c5tvOuSGflr7z
ilJQSs3PxhCcihGLI9kZRrjLsxTn865i91HvZVMy2Ck5PhFq4ltX0++3IoZeWC86
fE5aVtW/WoItPmvRAWIz2lrgNYeaHwGd1VBjAC5xk+kKqfjmG4qhInx7r9RO5qF9
W1qJa5wmxen+6/IjM5MCOtXhJc1X5a8nRNMvha+Gg8wKlkJnwReWVNrELjJIpnNY
GhzGJeb3p9znr/5brvCkErrGK1FUeWPzicNBKOq3a25uda6D22LyeGYLovDNN95U
s2dyw3a/tT984xlpWyEXBVVMVbQ1VjCyKm1dPjH9jAsg6S1p7FTchfDBtkZkKBM6
br7HLjg1G1XiCo6DpvCFuYSXD7q/f2VGGVvm+s2gl7G1Tx9lSfUT553Se8sV8U+z
jT6T0RQCn/t2Cf7A9oLBiCsS3EdJDjbLIKXNXa3BtLbBrOFlZlxDjCZ+tUJMr6Zb
LoLhU0D09rIs7TkRjJfYU2tLZOUM10kQM309A6hAW04E6DuUQ4p5xRXfUoKWsWRS
oBYF/2rMqVfztdJIFdOnkV/MhmTgslnjRVrX+WJjvjEddMF9wo980KinwChZkTwO
OlLuAWVC/eLR+q6RlX9rqid8kCLlpdgTvTrRguvUWxf2CqXl39nHXz/KXo17vjs=
=8dOU
-----END PGP SIGNATURE-----





Reply sent to Michael Gilbert <mgilbert@debian.org>:
You have taken responsibility. (Sat, 28 Apr 2012 20:51:03 GMT) Full text and rfc822 format available.

Notification sent to "JW" <jwie@home.nl>:
Bug acknowledged by developer. (Sat, 28 Apr 2012 20:51:03 GMT) Full text and rfc822 format available.

Reply sent to Michael Gilbert <mgilbert@debian.org>:
You have taken responsibility. (Sat, 28 Apr 2012 20:51:03 GMT) Full text and rfc822 format available.

Notification sent to Karl Schmidt <karl@xtronics.com>:
Bug acknowledged by developer. (Sat, 28 Apr 2012 20:51:04 GMT) Full text and rfc822 format available.

Reply sent to Michael Gilbert <mgilbert@debian.org>:
You have taken responsibility. (Sat, 28 Apr 2012 20:51:04 GMT) Full text and rfc822 format available.

Notification sent to James Dupin <james.dupin@gmail.com>:
Bug acknowledged by developer. (Sat, 28 Apr 2012 20:51:04 GMT) Full text and rfc822 format available.

Reply sent to Michael Gilbert <mgilbert@debian.org>:
You have taken responsibility. (Sat, 28 Apr 2012 20:51:05 GMT) Full text and rfc822 format available.

Notification sent to Xavier Bestel <xavier.bestel@free.fr>:
Bug acknowledged by developer. (Sat, 28 Apr 2012 20:51:05 GMT) Full text and rfc822 format available.

Reply sent to Michael Gilbert <mgilbert@debian.org>:
You have taken responsibility. (Sat, 28 Apr 2012 20:51:05 GMT) Full text and rfc822 format available.

Notification sent to Xavier Bestel <xavier.bestel@free.fr>:
Bug acknowledged by developer. (Sat, 28 Apr 2012 20:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#151820; Package isc-dhcp-client. (Sat, 05 May 2012 12:30:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to colliar <colliar4ever@aol.com>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sat, 05 May 2012 12:30:29 GMT) Full text and rfc822 format available.

Message #292 received at 151820@bugs.debian.org (full text, mbox):

From: colliar <colliar4ever@aol.com>
To: Debian Bug Tracking System <151820@bugs.debian.org>
Subject: Re: dhcp3-client: Does not send hostname to server by default changed policy
Date: Sat, 05 May 2012 14:08:58 +0200
Package: isc-dhcp-client
Version: 4.2.2.dfsg.1-5
Followup-For: Bug #151820

Hi

By adding

send host-name = gethostname();

to dhclient.conf you totally changed the default behaviour which is not nice as
you are not warned about it with default configuration in use (no changes in
dhclient.conf).

Personally, I always liked the previous settings and I think dpkg should asked
you about "sending a hostname or not" and the defaults should remain "not
sending" !

Thanks
Colliar



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_IE.UTF-8, LC_CTYPE=en_IE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages isc-dhcp-client depends on:
ii  debianutils      4.3
ii  iproute          20120319-1
ii  isc-dhcp-common  4.2.2.dfsg.1-5
ii  libc6            2.13-30

isc-dhcp-client recommends no packages.

Versions of packages isc-dhcp-client suggests:
pn  avahi-autoipd  <none>
pn  resolvconf     <none>

-- Configuration Files:
/etc/dhcp/dhclient.conf changed:
option rfc3442-classless-static-routes code 121 = array of unsigned integer 8;
request subnet-mask, broadcast-address, time-offset, routers,
	domain-name, domain-name-servers, domain-search, host-name,
	netbios-name-servers, netbios-scope, interface-mtu,
	rfc3442-classless-static-routes, ntp-servers;


-- no debconf information




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 03 Jun 2012 07:34:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:23:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.